Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## mx4j.tools.adaptor.http
Class RelationCommandProcessor

    java.lang.Object
      mx4j.tools.adaptor.http.HttpCommandProcessorAdaptor
          mx4j.tools.adaptor.http.RelationCommandProcessor

All Implemented Interfaces:
  HttpCommandProcessor

public class RelationCommandProcessor
extends HttpCommandProcessorAdaptor

CreateMBeanCommandProcessor, processes a request for creating and registering an MBean

Version:
  $Revision: 1.4 $

Field Summary

Fields inherited from class mx4j.tools.adaptor.http.HttpCommandProcessorAdaptor
`builder, server`

Constructor Summary
`RelationCommandProcessor()`

Method Summary
`protected void` | `addRelationTypeNames(org.w3c.dom.Element node, org.w3c.dom.Document document, java.util.List allRelationNames)` put everything into a map as we need to maintain the correct relationTypeName to relationId TODO: determine how to make relationService tab useful!!
`protected boolean` | `checkRelationServiceIsRegistered()`
`org.w3c.dom.Document` | `executeRequest(HttpInputStream in)` Executes an HTTP request.

Methods inherited from class mx4j.tools.adaptor.http.HttpCommandProcessorAdaptor
`setDocumentBuilder, setMBeanServer`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RelationCommandProcessor

    public RelationCommandProcessor()

Method Detail

### executeRequest

    public org.w3c.dom.Document executeRequest(HttpInputStream in)
                                        throws java.io.IOException,
                                               javax.management.JMException

  Description copied from interface: `HttpCommandProcessor`
  Executes an HTTP request. It assumes the request is well formed

  Specified by:
    `executeRequest` in interface `HttpCommandProcessor`
  Specified by:
    `executeRequest` in class `HttpCommandProcessorAdaptor`
  Throws:
    `java.io.IOException`
    `javax.management.JMException`

### addRelationTypeNames

    protected void addRelationTypeNames(org.w3c.dom.Element node,
                                        org.w3c.dom.Document document,
                                        java.util.List allRelationNames)
                                 throws javax.management.JMException

  put everything into a map as we need to maintain the correct relationTypeName to relationId TODO: determine how to make relationService tab useful!!

  Throws:
    `javax.management.JMException`

### checkRelationServiceIsRegistered

    protected boolean checkRelationServiceIsRegistered()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005 The MX4J Contributors. All Rights Reserved.